Page({
  data: {
    statusBarHeight: 44
  },

  onLoad: function () {
    var app = getApp()
    this.setData({ statusBarHeight: app.globalData.statusBarHeight })
  },

  onViewPlans: function () {
    wx.navigateTo({ url: '/pages/subscribe-plans/subscribe-plans' })
  },

  onBack: function () {
    wx.navigateBack({
      fail: function () {
        wx.reLaunch({ url: '/pages/index/index' })
      }
    })
  },

  onUseFreeMode: function () {
    wx.redirectTo({ url: '/pages/wear-check/wear-check?mode=0' })
  }
})
